%define fname		eieio
%define name		emacs-%{fname}
%define version		0.17
%define beta		beta4
%define release		0.%{beta}.3mdk
%define eieiodir	%{_datadir}/emacs/site-lisp/%{fname}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Enhanced Integration of Emacs Interpreted Objects
Requires:	emacs >= 0:20.7
License:	GPL
URL:		http://sourceforge.net/projects/cedet/
Source:		http://download.sourceforge.net/sourceforge/cedet/%{fname}-%{version}.tar.bz2
Group:		Editors
Obsoletes:	eieio
Provides:	eieio
Buildroot:	%_tmppath/%{name}-root
BuildArch:	noarch
BuildRequires:	emacs-bin

%description
EIEIO is an Emacs lisp program which implements a controlled
object-oriented programming methodology following the CLOS standard.
EIEIO also has object browsing functions, and custom widget types. It
has a fairly complete manual descrbing how to use it.

EIEIO also supports the byte compiler for Emacs and XEmacs. Because of
the nature of byte compiling, EIEIO is picky about the version of emacs
you are running. It supports Emacs 19.2x+, Emacs 20.x, and XEmacs 19.1x.
 Byte compiling EIEIO is VERY IMPORTANT if performance is important.

EIEIO supports documentation generation. If you write an OO API to
something, the eieio-doc functions will write your texinfo manual for
you. (Just make sure you use the documentation features of class slots
while authoring your software.)

%prep
%setup -q -n %fname-%version

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%_usr/share/emacs/site-lisp/%{fname}
install -d $RPM_BUILD_ROOT{%{eieiodir},%{_infodir}}

install -m 644 *.el *.elc $RPM_BUILD_ROOT%{eieiodir}
install -m 644 *.info* $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{fname}.info

%postun
%_remove_install_info %{fname}.info

%files
%defattr (-, root, root)
%doc ChangeLog INSTALL
%{eieiodir}
%{_infodir}/*info*

%changelog
* Fri Sep 03 2004 David Walluck <walluck@mandrake.org> 0:0.17-0.beta4.3mdk
- rebuild

* Mon Apr 28 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.17-0.beta4.2mdk
- fixed dir ownership (Olivier Thauvin <thauvin@aerov.jussieu.fr>)

* Sun Mar 23 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.17-0.beta4.1mdk
- contributed by David Walluck <david@anti-microsoft.org>
